Vincent is here! Just say the word, and Vincent will build the campaigns for you! Get early access.
curl --request PUT \
--url https://{cluster}.voucherify.io/v1/categories/{categoryId} \
--header 'Content-Type: application/json' \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>' \
--data '
{
"name": "Summer",
"hierarchy": 1
}
'Update a category using the category ID.
curl --request PUT \
--url https://{cluster}.voucherify.io/v1/categories/{categoryId} \
--header 'Content-Type: application/json' \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>' \
--data '
{
"name": "Summer",
"hierarchy": 1
}
'Documentation Index
Fetch the complete documentation index at: https://docs.voucherify.io/llms.txt
Use this file to discover all available pages before exploring further.
Unique category ID assigned by Voucherify.
"cat_0bb81a481615a37b5e"
Specify the details of the category that you would like to update.
Returns a category object with a refreshed updated_at property.
Response body schema for PUT v1/categories/{categoryId}.
Unique category ID assigned by Voucherify.
Category name.
Category hierarchy. Categories with lower hierarchy are processed before categories with higher hierarchy value.
x >= 0category Timestamp representing the date and time when the category was created. The value is shown in the ISO 8601 format.
"2022-07-14T10:45:13.156Z"
Timestamp representing the date and time when the category was updated. The value is shown in the ISO 8601 format.
"2022-08-16T10:52:08.094Z"
Was this page helpful?